Package org.apache.catalina.tribes.membership

## Class StaticMember

- java.lang.Object
- - org.apache.catalina.tribes.membership.MemberImpl
  - - org.apache.catalina.tribes.membership.StaticMember

All Implemented Interfaces:
  `java.io.Externalizable`, `java.io.Serializable`, `Member`

    public class StaticMember
    extends MemberImpl

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.catalina.tribes.membership.MemberImpl

`command, dataPkg, DO_DNS_LOOKUPS, domain, host, hostname, local, memberAliveTime, msgCount, payload, port, securePort, serviceStartTime, sm, TRIBES_MBR_BEGIN, TRIBES_MBR_END, udpPort, uniqueId`

### Fields inherited from interface org.apache.catalina.tribes.Member

`SHUTDOWN_PAYLOAD`

### Constructor Summary

Constructors
`StaticMember()`
`StaticMember​(java.lang.String host, int port, long aliveTime)`
`StaticMember​(java.lang.String host, int port, long aliveTime, byte[] payload)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `setDomain​(java.lang.String domain)`
`void` `setHost​(java.lang.String host)`
`void` `setUniqueId​(java.lang.String id)`

### Methods inherited from class org.apache.catalina.tribes.membership.MemberImpl

`bToS, bToS, equals, getCommand, getData, getData, getData, getDataLength, getDomain, getHost, getHostname, getMember, getMember, getMember, getMember, getMemberAliveTime, getMsgCount, getName, getPayload, getPort, getSecurePort, getServiceStartTime, getUdpPort, getUniqueId, hashCode, inc, isFailing, isLocal, isReady, isSuspect, readExternal, setCommand, setDomain, setHost, setHostname, setLocal, setMemberAliveTime, setMsgCount, setPayload, setPort, setSecurePort, setServiceStartTime, setUdpPort, setUniqueId, toString, writeExternal`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### StaticMember

    public StaticMember()

#### StaticMember

    public StaticMember​(java.lang.String host,
                        int port,
                        long aliveTime)
                 throws java.io.IOException

Throws:
  `java.io.IOException`

#### StaticMember

    public StaticMember​(java.lang.String host,
                        int port,
                        long aliveTime,
                        byte[] payload)
                 throws java.io.IOException

Throws:
  `java.io.IOException`

### Method Detail

#### setHost

    public void setHost​(java.lang.String host)

Parameters:
  `host` - String, either in byte array string format, like {214,116,1,3} or as a regular hostname, 127.0.0.1 or tomcat01.mydomain.com

#### setDomain

    public void setDomain​(java.lang.String domain)

Parameters:
  `domain` - String, either in byte array string format, like {214,116,1,3} or as a regular string value like 'mydomain'. The latter will be converted using ISO-8859-1 encoding

#### setUniqueId

    public void setUniqueId​(java.lang.String id)

Parameters:
  `id` - String, must be in byte array string format, like {214,116,1,3} and exactly 16 bytes long